# The Red Matrix: mod/setup.php File Reference

All Classes Namespaces Files Functions Variables Pages
setup.php File Reference

## Functions

| setup_init (&$a)
| setup_post (&$a)
| get_db_errno ()
| setup_content (&$a)
| check_add (&$checks, $title, $status, $required, $help)
| check_php (&$phpath, &$checks)
| check_keys (&$checks)
| check_funcs (&$checks)
| check_htconfig (&$checks)
| check_smarty3 (&$checks)
| check_store (&$checks)
| check_htaccess (&$checks)
| manual_config (&$a)
| load_database_rem ($v, $i)
| load_database ($db)
| what_next ()

## Variables

| $install_wizard_pass =1

## Function Documentation

check_add | ( | & | $checks,
|  |  | $title,
|  |  | $status,
|  |  | $required,
|  |  | $help
| ) |  |

checks : array passed to template title : string status : boolean required : boolean help : string optional

Referenced by check_funcs(), check_htaccess(), check_htconfig(), check_keys(), check_php(), check_smarty3(), and check_store().

check_funcs | ( | & | $checks | ) |

Referenced by setup_content().

check_htaccess | ( | & | $checks | ) |

Referenced by setup_content().

check_htconfig | ( | & | $checks | ) |

Referenced by setup_content().

check_keys | ( | & | $checks | ) |

Referenced by setup_content().

check_php | ( | & | $phpath,
|  | & | $checks
| ) |  |

Referenced by setup_content().

check_smarty3 | ( | & | $checks | ) |

Referenced by setup_content().

check_store | ( | & | $checks | ) |

Referenced by setup_content().

get_db_errno | ( |  | ) |

Referenced by setup_post().

load_database | ( |  | $db | ) |

Referenced by setup_post().

load_database_rem | ( |  | $v,
|  |  | $i
| ) |  |

manual_config | ( | & | $a | ) |

Referenced by setup_content().

setup_content | ( | & | $a | ) |

setup_init | ( | & | $a | ) |

setup_post | ( | & | $a | ) |

what_next | ( |  | ) |

Referenced by setup_content().

## Variable Documentation

$install_wizard_pass =1

Referenced by setup_content(), setup_init(), and setup_post().